Bug 995748 - perl-Net-Amazon-S3-0.59-1.fc20 does not include s3cl script and manpage
perl-Net-Amazon-S3-0.59-1.fc20 does not include s3cl script and manpage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Net-Amazon-S3 (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 1081468
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 15:25 EDT by Paul Howarth
Modified: 2014-05-28 09:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Net-Amazon-S3-0.59-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 09:43:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2013-08-10 15:25:42 EDT
In order to fix the Perl 5.18/F-20 FTBFS (Bug #992695), perl-Net-Amazon-S3 was updated to 0.59, the current upstream release.

However, the package should include an "s3cl" script, a command-line interface to the module. The script has been explicitly excluded because some of its dependencies, namely perl(Term::Encoding) and perl(Term::ProgressBar::Simple) are not available in Fedora at the moment.

I've raised this bug as a reminder that the script should be included once these modules become available, hopefully before F-20 Beta.
Comment 1 Fedora End Of Life 2013-09-16 12:29:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Fedora Update System 2014-03-27 12:46:12 EDT
perl-IO-Interactive-0.0.6-1.fc20, perl-Term-ProgressBar-Simple-0.03-1.fc20, perl-Term-ProgressBar-Quiet-0.31-1.fc20, perl-Net-Amazon-S3-0.59-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Net-Amazon-S3-0.59-2.fc20,perl-Term-ProgressBar-Simple-0.03-1.fc20,perl-IO-Interactive-0.0.6-1.fc20,perl-Term-ProgressBar-Quiet-0.31-1.fc20
Comment 3 Fedora Update System 2014-04-05 00:55:21 EDT
perl-IO-Interactive-0.0.6-1.fc20, perl-Term-ProgressBar-Simple-0.03-1.fc20, perl-Term-ProgressBar-Quiet-0.31-1.fc20, perl-Net-Amazon-S3-0.59-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.